Summary:        Converter from wiki to LaTeX
Name:           latex_of_wiki
Version:        4.02
Release:        %mkrel 5
License:        GPLv2+
Group:          Development/OCaml
Url:            https://github.com/ocsigen/wikidoc
# Archive retrieved 20160415
Source0:        https://github.com/ocsigen/wikidoc/archive/%{version}/wikidoc-%{version}.tar.gz
Patch0:         wikidoc-4.02-backport-upstream-fixes.patch

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-lwt-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-seq-devel
BuildRequires:  ocaml-ocplib-endian-devel
BuildRequires:  ocaml-mmap-devel
BuildRequires:  ocaml-findlib
BuildRequires:  pkgconfig(libev)

%description
Converter from wiki to LaTeX. Used in the Ocsigen project.

%prep
%setup -q -n wikidoc-%{version}
%autopatch -p1

%build
pushd src/latex_of_wiki
sed -i 's/cmo/cmx/g' Makefile
sed -i 's/ocamlc/ocamlopt/g' Makefile
sed -i 's/ocamlopt/ocamlopt -g/g' Makefile
make
popd

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 src/latex_of_wiki/latex_of_wiki %{buildroot}%{_bindir}

%files
%{_bindir}/latex_of_wiki


%changelog
* Thu Jul 07 2022 papoteur <papoteur> 4.02-5.mga9
+ Revision: 1867949
- fix BR: ocaml-findlib

* Sun Mar 01 2020 umeabot <umeabot> 4.02-4.mga8
+ Revision: 1552656
- Mageia 8 Mass Rebuild

* Wed Jan 23 2019 daviddavid <daviddavid> 4.02-3.mga7
+ Revision: 1360304
- backport some more upstream fixes

* Sun Sep 23 2018 umeabot <umeabot> 4.02-2.mga7
+ Revision: 1298715
- Mageia 7 Mass Rebuild

* Tue Feb 06 2018 daviddavid <daviddavid> 4.02-1.mga7
+ Revision: 1199309
- new version: 4.02
- backport some upstream fixes

* Fri Sep 29 2017 daviddavid <daviddavid> 0-0.git20141004.6.mga7
+ Revision: 1161807
- enable debugging information thus fixing debugsourcefiles.list

* Sun Sep 25 2016 pterjan <pterjan> 0-0.git20141004.5.mga6
+ Revision: 1056215
- Rebuild for fix in ocaml

* Mon Feb 08 2016 umeabot <umeabot> 0-0.git20141004.4.mga6
+ Revision: 945338
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0-0.git20141004.3.mga5
+ Revision: 749299
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 malo <malo> 0-0.git20141004.2.mga5
+ Revision: 737486
- fix buildrequires
- compile the native version and get rid of requires
- add missing requires

* Sun Oct 05 2014 malo <malo> 0-0.git20141004.1.mga5
+ Revision: 736925
- imported package latex_of_wiki

